Package org.eclipse.debug.core

## Interface IBinaryStreamListener

    public interface IBinaryStreamListener

A stream listener is notified of changes to a binary stream monitor.

Clients may implement this interface.

Since:
  3.16
See Also:
  `IBinaryStreamMonitor`, `IStreamListener`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `streamAppended​(byte[] data, IBinaryStreamMonitor monitor)` Notifies this listener that data has been appended to the given stream monitor.

### Method Detail

#### streamAppended

    void streamAppended​(byte[] data,
                        IBinaryStreamMonitor monitor)

Notifies this listener that data has been appended to the given stream monitor.

Parameters:
  `data` - the content appended; not `null`
  `monitor` - the stream monitor to which content was appended